-- Purely for number returning functions.

local function ArgsLength(inval,nextval,...)
	if inval ~= nil or nextval ~= nil then
		return 1 + ArgsLength(nextval,...)
	end
	return 0
end

local function TableLength(intbl)
	return ArgsLength(TableUnpack(intbl))
end

local function Subtract(innum,amount)
	return inval-amount
end

local function Add(innum,amount)
	return innum+amount
end

local function Multiply(innum,amount)
	return innum*amount
end

local function Divide(innum,amount)
	return innum/amount
end

local function Increment(innum)
	return Add(innum,1)
end